/*********************************************************************
 *
 *                  EE 4 Project - Code Template
 *
 *********************************************************************
 * FileName:        main.c
 * Dependencies:    See INCLUDES section below
 * Processor:       PIC18
 * Compiler:        C18 2.30+
 * Company:         KULeuven - GROUPT
 *
 * THIS SOFTWARE IS PROVIDED IN AN AS IS?CONDITION. NO WARRANTIES,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 * TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 * IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Jeroen Van Aken      11/03/08    Original.
 * Jeroen Van Aken		14/03/11	Updated for use of bac3 board
 * Jeroen Van Aken		18/02/14	Added stepper process
 ********************************************************************/

/** I N C L U D E S **********************************************************/
#include <p18cxxx.h>
#include "config.h"
#include "adc_process.h"
#include "pwm_process.h"
#include "stepper_process.h"
#include <stdio.h>
#include <stdlib.h>
/** V A R I A B L E S ********************************************************/
long counter;
long buttonPress = 0;
long i=0;
/** P R I V A T E  P R O T O T Y P E S ***************************************/
void Init(void);

/** D E C L A R A T I O N S **************************************************/
/******************************************************************************
 * Function:        void main(void)
 *
 * PreCondition:    None
 *
 * Input:           None
 *
 * Output:          None
 *
 * Overview:        Main program entry point.
 *****************************************************************************/


void main(void) {
	Init();						//initialise the system
 

	while(1) {
	
	if(PORTCbits.RC0 == 0)   //C0 equals 1,it connects to the 5V. button is not pressed
{
	buttonPress++;
	counter = 0;
	i=0;
}


if (counter == 0 )
{
	if(i == buttonPress*2 )
	{
	
	}
	else
	{
		LATCbits.LATC1 = !LATCbits.LATC1;
		
		i++;
	}
	
}
if(counter == 2000)
{
		counter=0;
}else
{
	counter++;
}






//		ADC_Process();		//execute one step in the ADC prosess
//		PWM_Process();		//execute one step in the PWM prosess
//		Stepper_Step(0, 1);	//Asks the Stepper_Process to turn the motor 1 step CW
		Wait();				//wait until one 1m has elapesed
	}

}
/******************************************************************************
 * Function:        void Init(void)
 *
 * PreCondition:    None
 *
 * Input:           None
 *
 * Output:          None
 *
 * Overview:        Init is a centralize initialization routine.
 *                  
 *                  User application initialization routine should also be
 *                  called from here.                  
 *****************************************************************************/
void Init(void) {
	//configure I/O
	TRISCbits.TRISC0 = 1;

	TRISCbits.TRISC1 = 0;
	LATCbits.LATC1 = 0;

	counter = 0;
	
	Init_Timer_Loop();			
//	Init_PWM_Process();		//initialise the PWM module
//	Init_ADC_Process();		//initialise the A/D module
//	Init_Stepper_Process();	//initialise the Stepper module
}

//EOF-------------------------------------------------------------------------
